Bug 1016003 - JBoss cartridges installation on OpenShift Origin : dependency problems
JBoss cartridges installation on OpenShift Origin : dependency problems
Status: CLOSED WONTFIX
Product: OpenShift Origin
Classification: Red Hat
Component: Installer (Show other bugs)
2.x
x86_64 Linux
unspecified Severity medium
: ---
: ---
Assigned To: Jason DeTiberus
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-10-07 05:22 EDT by antoine.ansel
Modified: 2017-05-31 14:22 EDT (History)
18 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-05-31 14:22:11 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description antoine.ansel 2013-10-07 05:22:40 EDT
Description of problem:
I have install Openshift Origin on VirtualBox and am trying to get a tomcat supporting cartridge running.
When I try to install the jboss cartridges I get the following errors. Do you have a hint or pointer for me where find the dependencies or how I get this installed?

Thank you very much!


Error: Package: openshift-origin-cartridge-jbosseap-2.7.0.1-1.fc19.noarch (openshift-origin)
           Requires: jbossas-domain
Error: Package: switchyard-as7-modules-0.8.0-1.noarch (openshift-origin-deps)
           Requires: osgi(org.drools.compiler)
Error: Package: openshift-origin-cartridge-jbosseap-2.7.0.1-1.fc19.noarch (openshift-origin)
           Requires: jbossas-jbossweb-native
Error: Package: openshift-origin-cartridge-jbosseap-2.7.0.1-1.fc19.noarch (openshift-origin)
           Requires: jbossas-core
Error: Package: openshift-origin-cartridge-jbosseap-2.7.0.1-1.fc19.noarch (openshift-origin)
           Requires: jbossas-welcome-content-eap
Error: Package: openshift-origin-cartridge-jbosseap-2.7.0.1-1.fc19.noarch (openshift-origin)
           Requires: jbossas-bundles
Error: Package: openshift-origin-cartridge-jbosseap-2.7.0.1-1.fc19.noarch (openshift-origin)
           Requires: jbossas-appclient
Error: Package: switchyard-as7-modules-0.8.0-1.noarch (openshift-origin-deps)
           Requires: osgi(org.kie.api)
Error: Package: openshift-origin-cartridge-jbosseap-2.7.0.1-1.fc19.noarch (openshift-origin)
           Requires: jbossas-product-eap
Error: Package: switchyard-as7-modules-0.8.0-1.noarch (openshift-origin-deps)
           Requires: osgi(org.drools.core)
Error: Package: openshift-origin-cartridge-jbossews-0.8.0.1-1.fc19.noarch (openshift-origin)
           Requires: tomcat7
Error: Package: openshift-origin-cartridge-jbosseap-2.7.0.1-1.fc19.noarch (openshift-origin)
           Requires: jbossas-standalone
Error: Package: openshift-origin-cartridge-jbosseap-2.7.0.1-1.fc19.noarch (openshift-origin)
           Requires: jbossas-modules-eap
Error: Package: openshift-origin-cartridge-jbosseap-2.7.0.1-1.fc19.noarch (openshift-origin)
           Requires: jboss-eap6-modules
Error: Package: openshift-origin-cartridge-jbosseap-2.7.0.1-1.fc19.noarch (openshift-origin)
           Requires: jbossas-hornetq-native
Error: Package: openshift-origin-cartridge-jbosseap-2.7.0.1-1.fc19.noarch (openshift-origin)
           Requires: jboss-eap6-index
Error: Package: openshift-origin-cartridge-jbossews-0.8.0.1-1.fc19.noarch (openshift-origin)
           Requires: tomcat6


Steps to Reproduce:
1. Download OpenShift Origin VM and install it on a VirtualBox
2. Connect in ssh on the VM and install JBoss cartridges : 
$ sudo yum install openshift-origin-cartridge-jbosseap.noarch openshift-origin-cartridge-jbossews.noarch openshift-origin-cartridge-jenkins.noarch openshift-origin-cartridge-jenkins-client.noarch
Comment 1 Nam Duong 2013-10-12 14:33:42 EDT
Here is the thread in the Forums (has links to others with this same issue):

https://www.openshift.com/forums/openshift/java-app-on-openshift-origin#comment-34869
Comment 2 Marco 2013-11-05 06:49:31 EST
I have the same problem. Is there a workaround waiting for the fix?
Comment 3 John Poelstra 2013-12-05 11:28:35 EST
https://twitter.com/marekgoldmann/status/408512735568478208

If this has "high" severity, shouldn't it have been fixed in the last sprint?
Comment 4 Krishna Raman 2013-12-09 10:48:25 EST
Currently, Fedora 19 only ships with jboss AS and not jboss EAP.

Until Fedora packages the core dependencies for jboss EAP, we will be unable to include it on the live CD.

I would suggest using jboss AS for now:

yum install openshift-origin-cartridge-jbossas
Comment 5 Marek Goldmann 2013-12-10 03:02:17 EST
(In reply to Krishna Raman from comment #4)
> Currently, Fedora 19 only ships with jboss AS and not jboss EAP.
> 
> Until Fedora packages the core dependencies for jboss EAP, we will be unable
> to include it on the live CD.
> 
> I would suggest using jboss AS for now:
> 
> yum install openshift-origin-cartridge-jbossas

I don't think that's a solution - you ship packages that are not resolvable - which is wrong. You can do either:

1. Stop distribute packages that have missing dependencies, or
2. Package these missing dependencies.
Comment 7 Evan 2013-12-11 21:16:06 EST
Is there any solution for this?

I'm using the VM from the front page here:

  http://openshift.github.io/

...and trying to follow the directions to install Java support by way of the JBoss EWS cartridge following directions here:

  http://openshift.github.io/documentation/oo_administration_guide.html#install-jboss-eap-and-jboss-ews-support

using the command:

  yum install openshift-origin-cartridge-jbossews.noarch

...and it fails with...

  ...
  Requires: tomcat7
  ...
  Requires: tomcat6
Comment 8 Srikanth 2013-12-28 14:06:04 EST
Is there any work around to this issue? I imagine we could manually install the required dependencies ahead of running oo-install, but any guidance is highly appreciated.
Comment 9 littletower 2014-01-21 09:36:04 EST
This issue is still there with v3 VM.
Some help would be much appreciated.

Thanks.
Comment 10 Brice Vandeputte 2014-01-28 08:41:54 EST
Hi, 
 i'm following openshift origin installation on CentOS 6.5 using this guide : http://openshift.github.io/documentation/oo_deployment_guide_comprehensive.html 

 my yum repositories are ok ( #setup-yum-repositories ) but i got exactly the same issue.  

  yum install openshift-origin-cartridge-jbossews.noarch
   ==> requires tomcat7

Some help would be much appreciated.
Thanks.
Comment 11 Brice Vandeputte 2014-01-30 11:16:48 EST
Does exist a way to install it manually (out of the 'yum box' ?) ?
Comment 13 pablo.biosca 2014-06-20 04:52:13 EDT
Does exist a fix?
Comment 14 Eric Paris 2017-05-31 14:22:11 EDT
We apologize, however, we do not plan to address this report at this time. The majority of our active development is for the v3 version of OpenShift. If you would like for Red Hat to reconsider this decision, please reach out to your support representative. We are very sorry for any inconvenience this may cause.

Note You need to log in before you can comment on or make changes to this bug.